Subject: Re: Optimizing away "ReadFile" calls when Make calls stat()
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Jonathan Kamens <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Tue, 13 Feb 2001 15:25:52 -0500

At 02:56 PM 2/13/2001, Jonathan Kamens wrote:
> >  Date: Tue, 13 Feb 2001 14:54:01 -0500
> >  From: DJ Delorie <[email-masked]>
> >  
> >  Perhaps you could
> >  propose a set of mount flags to optimize common situations?  We
> >  already have one to avoid the read-for-execute test,
>
>Could you elaborate on that?
>
> >  perhaps you could
> >  work on an assume-no-symlinks flag?  Then we wouldn't need a custom
> >  make.exe (or any other program).
>
>I think that's a very good idea.  If you tell me a little bit more
>about the read-for-execute mount flag, with which I'm not familiar, I
>can look into implementing a similar thing for symbolic links.

Take a look at mount --help.  You can then look at the mount code to see
how this works.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple